/*
srch.c Version 0.1.0 - Search tree for match
Copyright (C) 2002  dondalah@ripco.com (Dondalah)

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#include <malloc.h>
#include "tree.h"

int srch(north,south,curr)
int north;
int south;
prfmt *curr;
   {
   /* not found RC = 0 */
   /* found     RC = 1 */
   int rslt;
   char key[7];
   sprintf(key,"%03d%03d", north, south);
   while (1)
      {
      rslt = strcmp(key,curr->pair);
      if (rslt < 0)
         {
         if (curr->left == NULL)
            {
            return(0);
            } /* not found */
         else
            {
            curr = curr->left;
            } /* descend left */
         } /* if left */
      else if (rslt > 0)
         {
         if (curr->right == NULL)
            {
            return(0);
            } /* not found */
         else
            {
            curr = curr->right;
            } /* descend right */
         } /* if right */
      else
         return(1); /* found */
      } /* descent */
   } /* srch */
